Skip to main content
GET
/
discounts
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.discounts.list({});

  console.log(result);
}

run();
{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "status": "active",
      "discount_type": "percentage",
      "code": "<string>",
      "amount_off": 123,
      "duration": "forever",
      "duration_in_months": 123,
      "max_redemptions": 123,
      "times_redeemed": 123,
      "redeem_by": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "percent_off": 123,
      "currency": "<string>"
    }
  ],
  "has_more": true,
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

status
enum<string>

Filter by discount status

Available options:
active,
expired,
scheduled
query
string

Search by discount code

starting_after
string

Cursor for pagination — the ID of the last item in the previous page

limit
integer
default:20

Items per page

Required range: 1 <= x <= 100

Response

List of discounts

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required